<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.v2.mapper.DeductionDetailsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.v2.entity.DeductionDetails">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="head_num" property="headNum" />
        <result column="deduction_rate" property="deductionRate" />
        <result column="deduction_type" property="deductionType" />
        <result column="deduction_amount" property="deductionAmount" />
        <result column="deduction_num" property="deductionNum" />
        <result column="user_id" property="userId" />
        <result column="account" property="account" />
    </resultMap>

</mapper>
